Bug 1130272 - foreman-debug should include logs from systemd-based distros
Summary: foreman-debug should include logs from systemd-based distros
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Foreman Debug
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 18:31 UTC by Og Maciel
Modified: 2017-04-24 14:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-06 14:26:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 7100 None None None 2016-04-22 16:21:29 UTC

Description Og Maciel 2014-08-14 18:31:26 UTC
Description of problem:

Looks like foreman-debug does not include the logs provided by journalctl on systemd-based distros. I'd like to request that foreman-debug handle this specially for reporting issues on RHEL 7 hosts.

Version-Release number of selected component (if applicable):

Build:
------
* Satellite-6.0.4-RHEL-6-20140813.2

Packages:
---------
* candlepin-0.9.23-1.el7.noarch
* candlepin-common-1.0.1-1.el7.noarch
* candlepin-guice-3.0-2_redhat_1.el7.noarch
* candlepin-scl-1-5.el7.noarch
* candlepin-scl-quartz-2.1.5-6.el7.noarch
* candlepin-scl-rhino-1.7R3-3.el7.noarch
* candlepin-scl-runtime-1-5.el7.noarch
* candlepin-selinux-0.9.23-1.el7.noarch
* candlepin-tomcat-0.9.23-1.el7.noarch
* elasticsearch-0.90.10-4.el7sat.noarch
* foreman-1.6.0.40-1.el7sat.noarch
* foreman-compute-1.6.0.40-1.el7sat.noarch
* foreman-gce-1.6.0.40-1.el7sat.noarch
* foreman-libvirt-1.6.0.40-1.el7sat.noarch
* foreman-ovirt-1.6.0.40-1.el7sat.noarch
* foreman-postgresql-1.6.0.40-1.el7sat.noarch
* foreman-proxy-1.6.0.27-1.el7sat.noarch
* foreman-selinux-1.6.0.6-1.el7sat.noarch
* foreman-vmware-1.6.0.40-1.el7sat.noarch
* katello-1.5.0-28.el7sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el7sat.noarch
* katello-installer-0.0.59-1.el7sat.noarch
* openldap-2.4.39-3.el7.x86_64
* pulp-katello-0.3-3.el7sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el7sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el7sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el7sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el7sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el7sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el7sat.noarch
* pulp-server-2.4.0-0.30.beta.el7sat.noarch
* python-ldap-2.4.6-6.el7.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el7sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el7sat.noarch
* rubygem-hammer_cli-0.1.1-11.el7sat.noarch
* rubygem-hammer_cli_foreman-0.1.1-15.el7sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.3-3.el7sat.noarch
* rubygem-hammer_cli_katello-0.0.4-12.el7sat.noarch

How reproducible:


Steps to Reproduce:
1. run foreman-debug on RHEL 7 instance
2.
3.

Actual results:

Logs provided by journalctl are not included

Expected results:


Additional info:

Comment 1 RHEL Product and Program Management 2014-08-14 18:33:03 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Dominic Cleal 2014-08-15 08:40:18 UTC
Created redmine issue http://projects.theforeman.org/issues/7100 from this bug

Comment 4 Lukas Zapletal 2014-11-12 10:33:47 UTC
Isn't RHEL7 configured to forward all messages to /var/log/messages by default? I think so and we ship this file in foreman-debug.

Comment 5 Bryan Kearney 2015-08-25 18:00:11 UTC
Upstream bug component is Packaging

Comment 6 Zach Huntington-Meath 2016-08-03 17:57:26 UTC
Og, is this still an issue or can this be closed?

Comment 7 Lukas Zapletal 2016-08-09 09:26:33 UTC
More than that, foreman-debug is part of sosreport and sosreport is the tool to be used for reporting.

But anyway, I'd keep this bug opened, let's leave it on backlog. We will eventually add journald support into foreman-debug. Bot will autoclose it.

Comment 8 Lukas Zapletal 2016-10-21 13:22:37 UTC
RHEL7 has only memory-only systemd journald by default, not big deal.

Comment 9 Chris Roberts 2017-01-06 14:26:03 UTC
Sosreport gathers this and the foreman-debug itself so marking as cantfix


Note You need to log in before you can comment on or make changes to this bug.